Skip to main content
POST
Create price-triggered swap

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

account_id
string
required

Globally unique public identifier for an account.

Required string length: 14 - 42

Body

application/json
trade
object
required

Trade to submit when the condition is met. Set amount on exactly one of from or to; the other side is calculated when the trade executes.

when
Drops to · object
required

Price condition to monitor before executing a price-triggered swap. Set exactly one of drops_to or rises_to.

client_order_id
string

A client order identifier which uniquely identifies a price trigger swap. Echoed back on the price-triggered swap.

Required string length: 1 - 64
Pattern: ^[\x20-\x7E]+$

Response

data
object
required

A swap that submits a trade when its price condition is met.